/* ========================================================

FONT FAMILY

======================================================== */

/* REGULAR */
@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Thin.ttf") format("truetype");
    font-weight: 100; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Extralight.ttf") format("truetype");
    font-weight: 200; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Light.ttf") format("truetype");
    font-weight: 300; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Regular.ttf") format("truetype");
    font-weight: 400; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Medium.ttf") format("truetype");
    font-weight: 500; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Bold.ttf") format("truetype");
    font-weight: 600; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Extrabold.ttf") format("truetype");
    font-weight: 700; 
    font-style: normal;
}

@font-face {
    font-family: "Cabinet";
    src: url("fonts/CabinetGrotesk-Black.ttf") format("truetype");
    font-weight: 800; 
    font-style: normal;
}

/*  ========================================================

ROOT

    
======================================================== */

:root {
	--header-size: 6rem;
	--padding: 2rem;
	--letter-spacing: 0.03;
    --transition: 200ms ease;
}

/* ========================================================

CONTENT

======================================================== */

*::-webkit-scrollbar,
*::-webkit-scrollbar-track,
*::-webkit-scrollbar-thumb {
	display: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 1024px #ffffff inset !important;
}

*,
*:before,
*:after {
	-webkit-scrollbar: none;
    scrollbar-width: none;

	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
	
	-webkit-tap-highlight-color: transparent;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

	overscroll-behavior: none;
	outline: none;

	margin: 0;
	padding: 0;
}

/* MAIN */
html {
    text-rendering: geometricPrecision;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: "liga" 1;
	
	overflow-x: hidden;
	overflow-y: scroll;
	overflow-anchor: none;
	webkit-user-select: none;
	user-select: none;
	
    width: 100vw;
	height: 100vh;
}

@media (pointer: coarse), (hover: none) {
    html {
        overflow-y: hidden;
    }
}

body {
    overflow-x: hidden;
    overflow-y: scroll;
	background: rgb(250, 250, 250);
    width: 100%;
    height: 100%;
    padding-top: calc(var(--header-size, 0) + var(--padding, 0));
}

@media (max-width: calc(37.5rem + 2rem * 2)) {
    body {
        padding-top: var(--header-size, 0);
    }
}

main {
    width: 100%;
}

/* CUSTOM TAGS */
layout-row, layout-column {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
}

layout-row {
    flex-direction: row;
}

layout-column {
    flex-direction: column;
}

/* INPUT FIELDS */
input:focus,
select:focus,
textarea:focus,
button:focus {
	outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

input[type="number"] {
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
}

/* TEXT */
a, h1, h2, h3, h4, h5, h6, p, span, input, button, cite, small, layout-row, layout-column {
    color: rgb(0, 0, 0);
    font-family: "Cabinet";
    font-weight: 400;
    border: none;
}

/* BUTTONS */
a, button, input[type="file"] {
	white-space: nowrap;
    cursor: pointer;
}

a {
	text-underline-offset: 0;
	text-decoration-skip-ink: none;
	text-decoration: none;
	-webkit-user-drag: none;
}

/* MEDIA */
svg, img, video {
    display: block;
    -o-object-position: center;
	object-position: center;
	pointer-events: none;
    color: rgba(0, 0, 0, 0);
    font-weight: 0;
    font-size: 0;
}

svg.cover-object,
img.cover-object,
video.cover-object {
    -o-object-fit: cover;
	object-fit: cover;
}

svg.contain-object,
img.contain-object,
video.contain-object {
    -o-object-fit: contain;
	object-fit: contain;
}